entityType: "individual" for a person and entityType: "organization" for a business.
Create an individual customer
Send aPOST /merchants/{merchantId}/customers request with firstName, lastName, and email. Include an idempotencyKey to make the request safely retryable.
customerId.
Create an organization customer
For a business customer, setentityType to organization and pass organizationName instead of firstName and lastName.
Retrieve a customer
Fetch a customer record at any time by theircustomerId using GET /customers/{id}.
List merchant customers
To retrieve all customers linked to your merchant, useGET /merchants/{merchantId}/customers. Results are returned as a paginated list.
items array and a page object for cursor-based pagination.
nextCursor value as a query parameter on your next request to fetch the following page of results.